/*
 * Copyright 2019 Confluent Inc.
 */

package io.confluent.connect.secretregistry.rbac;

import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

import io.confluent.security.authorizer.Operation;

public final class SecretRegistryOperations {
  
  private SecretRegistryOperations() {
  }

  public static final Operation CREATE = new Operation("Create");
  public static final Operation READ = new Operation("Read");
  public static final Operation DELETE = new Operation("Delete");

  public static final Set<Operation> ALL = Collections.unmodifiableSet(new HashSet<>(Arrays.asList(
      CREATE, READ, DELETE
  )));
}
